delete
https://{domainname}/ca_apis/deleteCampaignData
e'
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Delete campaign data API is used to delete data from the outbound campaigns. One record can be deleted per each request sent.
Note:Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.
Rate Limit
- API allows 100 request per minute.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
Header parameters
| Parameter | Description |
|---|---|
| apiKey* | Your CloudAgent account API Key |
| Content-Type | application/json |
Body Params
{
"campaignName": "xxxxxxxx",
"phoneNumber": "81xxxxxxx8",
"userName": "xxxxxxx",
"name":"xxxx"
}
Possible responses
| Success response | {"status": "Success","message": "Deleted Successfully"} |
| Invalid apiKey Key / Missing apiKey key | ""{""status"": ""false"",""message"": ""Api Key Should Not be Null or Empty."", ""data"": null}" |
| Invalid apiKey Value / Missing apiKey Value | {"status": "false","message": "Invalid User Details","data": null} |
| Invalid userName Key / Missing userName key | "{""status"": ""false"",""message"": ""Username Should Not be Null or Empty."", ""data"": null}" |
| Invalid userName Value | {"status": "false","message": "Invalid User Details","data": null} |
| Invalid campaignName Key | {"status": "Error","message": "Campaign should not be null are empty"} |
| Invalid campaignName Value | "{""status"": ""Error"", ""message"": ""Passed campaign are invalid""}" |
| Missing campaignName key | {"status": "Error","message": "Campaign should not be null are empty"} |
| Invalid PhoneNumber Key | {"status": "Error","message": "PhoneNumber should not be null are empty"} |
| Invalid PhoneNumber Value | {"status": "Error","message": "No Record Found"} |
| Missing PhoneNumber key / Value | {"status": "Error","message": "PhoneNumber should not be null are empty"} |
| Deleting multiple numbers in one request. | {"status": "false","message": "Invalid Json Pass Valid Json", "data": null} |
| Deleting an already deleted number. | {"status": "Error","message": "No Record Found"} |
